/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2021 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32g4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define LED_T8_4_Pin GPIO_PIN_13
#define LED_T8_4_GPIO_Port GPIOC
#define OUT2_Pin GPIO_PIN_14
#define OUT2_GPIO_Port GPIOC
#define OUT3_Pin GPIO_PIN_15
#define OUT3_GPIO_Port GPIOC
#define SYS_RESETN_Pin GPIO_PIN_10
#define SYS_RESETN_GPIO_Port GPIOG
#define AIN3_ADC1_1_Pin GPIO_PIN_0
#define AIN3_ADC1_1_GPIO_Port GPIOA
#define DIN5_T2_2_Pin GPIO_PIN_1
#define DIN5_T2_2_GPIO_Port GPIOA
#define OUT5_T5_3_Pin GPIO_PIN_2
#define OUT5_T5_3_GPIO_Port GPIOA
#define AIN_EXT4_ADC1_4_Pin GPIO_PIN_3
#define AIN_EXT4_ADC1_4_GPIO_Port GPIOA
#define DIN4_T2_1_Pin GPIO_PIN_5
#define DIN4_T2_1_GPIO_Port GPIOA
#define AIN_EXT5_ADC2_5_Pin GPIO_PIN_4
#define AIN_EXT5_ADC2_5_GPIO_Port GPIOC
#define AIN_EXT6_ADC1_15_Pin GPIO_PIN_0
#define AIN_EXT6_ADC1_15_GPIO_Port GPIOB
#define AIN1_ADC1_12_Pin GPIO_PIN_1
#define AIN1_ADC1_12_GPIO_Port GPIOB
#define OUT4_Pin GPIO_PIN_2
#define OUT4_GPIO_Port GPIOB
#define AIN2_ADC1_14_Pin GPIO_PIN_11
#define AIN2_ADC1_14_GPIO_Port GPIOB
#define CAN1_ON_Pin GPIO_PIN_6
#define CAN1_ON_GPIO_Port GPIOC
#define EEPROM_SDA_Pin GPIO_PIN_8
#define EEPROM_SDA_GPIO_Port GPIOA
#define EEPROM_SCL_Pin GPIO_PIN_9
#define EEPROM_SCL_GPIO_Port GPIOA
#define Messbereichsumschaltung_Pin GPIO_PIN_10
#define Messbereichsumschaltung_GPIO_Port GPIOA
#define OUT1_Pin GPIO_PIN_6
#define OUT1_GPIO_Port GPIOB
#define BOOT0_Pin GPIO_PIN_8
#define BOOT0_GPIO_Port GPIOB
#define SPI_MEM_CS_Pin GPIO_PIN_9
#define SPI_MEM_CS_GPIO_Port GPIOB
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
